/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface ITelefones extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.telefones.telid</code>.
     */
    public ITelefones setTelid(Integer value);

    /**
     * Getter for <code>public.telefones.telid</code>.
     */
    public Integer getTelid();

    /**
     * Setter for <code>public.telefones.telnumero</code>.
     */
    public ITelefones setTelnumero(String value);

    /**
     * Getter for <code>public.telefones.telnumero</code>.
     */
    public String getTelnumero();

    /**
     * Setter for <code>public.telefones.fkfunmatricula</code>.
     */
    public ITelefones setFkfunmatricula(String value);

    /**
     * Getter for <code>public.telefones.fkfunmatricula</code>.
     */
    public String getFkfunmatricula();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface ITelefones
     */
    public void from(com.tabajara.base.tables.interfaces.ITelefones from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface ITelefones
     */
    public <E extends com.tabajara.base.tables.interfaces.ITelefones> E into(E into);

    @Override
    public default ITelefones fromJson(io.vertx.core.json.JsonObject json) {
        setTelid(json.getInteger("telid"));
        setTelnumero(json.getString("telnumero"));
        setFkfunmatricula(json.getString("fkfunmatricula"));
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("telid",getTelid());
        json.put("telnumero",getTelnumero());
        json.put("fkfunmatricula",getFkfunmatricula());
        return json;
    }

}
